# __gnu_parallel::sampling_tag Struct Reference

Forces parallel merging with exact splitting, at compile time. More...

Inheritance diagram for __gnu_parallel::sampling_tag:
[legend]

List of all members.

## Public Member Functions

- sampling_tag (_ThreadIndex __num_threads)
- _ThreadIndex __get_num_threads ()
- void set_num_threads (_ThreadIndex __num_threads)

## Detailed Description

Forces parallel merging with exact splitting, at compile time.

Definition at line 118 of file tags.h.

## Member Function Documentation

_ThreadIndex __gnu_parallel::parallel_tag::__get_num_threads | ( |  | ) | `[inline, inherited]`

Find out desired number of threads.

Returns:
  Desired number of threads.

Definition at line 63 of file tags.h.

Referenced by __gnu_parallel::__parallel_sort().

void __gnu_parallel::parallel_tag::set_num_threads | ( | _ThreadIndex | __num_threads | ) | `[inline, inherited]`

Set the desired number of threads.

Parameters:

  | __num_threads | Desired number of threads.

Definition at line 73 of file tags.h.

The documentation for this struct was generated from the following file:

- tags.h